org.apache.avro

## Class AvroRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.avro.AvroRuntimeException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AvroMissingFieldException, AvroTypeException, BadHeaderException, MissingSchemaException, SchemaBuilderException, SchemaParseException, SystemLimitException, UnresolvedUnionException

    public class AvroRuntimeException
    extends RuntimeException

Base Avro exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AvroRuntimeException(String message)`
`AvroRuntimeException(String message, Throwable cause)`
`AvroRuntimeException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AvroRuntimeException

    public AvroRuntimeException(Throwable cause)

#### AvroRuntimeException

    public AvroRuntimeException(String message)

#### AvroRuntimeException

    public AvroRuntimeException(String message,
                                Throwable cause)